<?php

/*------------------------------------------------------------------------
# mod_ju_team2 Extension
# ------------------------------------------------------------------------
# author    themescreative
# copyright Copyright (C) 2018 themescreative.com. All Rights Reserved.
# @license - http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: http://www.themescreative.com
-------------------------------------------------------------------------*/
// no direct access
defined('_JEXEC') or die;
if(!defined('DS')){
define( 'DS', DIRECTORY_SEPARATOR );
}
$slide = $params->get('slides');
$cacheFolder = JURI::base(true).'/cache/';
$modID = $module->id;
$modPath = JURI::base(true).'/modules/mod_ju_team2/';
$document = JFactory::getDocument(); 
$moduleclass_sfx = htmlspecialchars($params->get('moduleclass_sfx'));
$jqueryload = $params->get('jqueryload');
$jpreload = $params->get('jpreload');
$showarrows = $params->get('showarrows');
$customone = $params->get('customone');
$bg_color = $params->get('bg_color');
$tx_color = $params->get('tx_color');
$team_manager    = $params->get('team_manager');
$name           = $params->get('name', '');
$img      = $params->get('img', '');
$title = $params->get('title', '');
$info = $params->get('info', '');
$url1 = $params->get('url1', '');
$url2   = $params->get('url2', '');
$url3   = $params->get('url3', '');
$url4  = $params->get('url4', '');
$url5  = $params->get('url5', '');
$setStyle  = $params->get('setStyle', '');
$get_target           = $params->get('get_target');

if($jqueryload) $document->addScript($modPath.'assets/js/jquery.min.js');
if($jqueryload) $document->addScript($modPath.'assets/js/jquery-noconflict.js');
$document->addScript($modPath.'assets/js/jquery.owl.carousel.js');
$document->addScript($modPath.'assets/js/theme.js');
if($jpreload) $document->addStyleSheet($modPath.'assets/css/jpreload.css');
$document->addStyleSheet($modPath.'assets/css/style.css');
$document->addStyleSheet($modPath.'assets/css/owl.carousel.css');
$document->addStyleSheet($modPath.'assets/font-awesome.css');
$document->addStyleDeclaration('.la-member { margin:'.$params->get('container_fix',6).'px; }'); 

?>

<?php if($params->get('jpreload')=='1') : ?>
<script type="text/javascript">
function preload(){
document.getElementById("loaded").style.display = "none";
document.getElementById("owl-team2").style.display = "block";
}//preloader
window.onload = preload;
</script>
<div id="loaded"></div>
<?php endif; ?>

<div class="la-members la-members--style-<?php echo $setStyle;?>" >
<div class="owl-carousel <?php echo $params->get('navStyle')?> <?php echo $params->get('navPosit')?> <?php echo $params->get('navRounded')?>" data-dots="false" data-autoplay="<?php echo $params->get('autoplay')?>" data-autoplay-hover-pause="<?php echo $params->get('autoplay-hover-pause')?>" data-autoplay-timeout="<?php echo $params->get('autoplay-timeout')?>" data-autoplay-speed="<?php echo $params->get('autoplay-speed')?>" data-loop="<?php echo $params->get('dataLoop')?>" data-nav="<?php echo $params->get('dataNav')?>" data-nav-speed="<?php echo $params->get('autoplay-speed')?>" data-items="<?php echo $params->get('image_width')?>" data-tablet-landscape="<?php echo $params->get('image_width_tabl')?>" data-tablet-portrait="<?php echo $params->get('image_width_tabp')?>" data-mobile-landscape="<?php echo $params->get('image_width_mobl')?>" data-mobile-portrait="<?php echo $params->get('image_width_mobp')?>">
<?php foreach ($team_manager as $item) : ?>
<div class="la-member">
<div class="la-member__inner">
<div class="la-member__image">
<img src="<?php echo $item->img; ?>" alt="" >
<div class="item--overlay"></div>
</div>
<div class="la-member__info">
<div class="la-member__info-title-role">
<?php if ($item->name != '') : ?><h3 class="la-member__info-title"><?php echo $item->name; ?></h3><?php endif; ?>
<?php if ($item->title != '') : ?><p class="la-member__info-role"><?php echo $item->title; ?></p><?php endif; ?> 
</div>
<?php if ($item->info != '') : ?><div class="la-member__info-content entry-excerpt"><p><?php echo $item->info; ?></p></div><?php endif; ?> 
<div class="item--social member-social">
<?php if ($item->url1 != '') : ?><a data-toggle="tooltip" data-placement="top" href="<?php echo $item->url1; ?>" data-original-title="" target="<?php echo $get_target; ?>"><i class="fa fa-facebook md-icon"></i></a><?php endif; ?>
<?php if ($item->url2 != '') : ?><a data-toggle="tooltip" data-placement="top" href="<?php echo $item->url2; ?>" data-original-title="" target="<?php echo $get_target; ?>"><i class="fa fa-twitter md-icon"></i></a><?php endif; ?>
<?php if ($item->url3 != '') : ?><a data-toggle="tooltip" data-placement="top" href="<?php echo $item->url3; ?>" data-original-title="" target="<?php echo $get_target; ?>"><i class="fa fa-google-plus md-icon"></i></a><?php endif; ?>
<?php if ($item->url4 != '') : ?><a data-toggle="tooltip" data-placement="top" href="mailto:<?php echo $item->url4; ?>" data-original-title="" target="<?php echo $get_target; ?>"><i class="fa fa-envelope md-icon"></i></a><?php endif; ?>
<?php if ($item->url5 != '') : ?><a data-toggle="tooltip" data-placement="top" href="<?php echo $item->url5; ?>" data-original-title="" target="<?php echo $get_target; ?>"><i class="fa fa-instagram md-icon"></i></a><?php endif; ?>
</div> 
</div>
</div>
</div>


<?php endforeach; ?>
</div>
</div>


